Page MenuHomePhabricator

[InlineFunction] Only replace call if there are VarArgs to forward.
ClosedPublic

Authored by fhahn on Nov 24 2017, 2:51 AM.

Details

Diff Detail

Event Timeline

fhahn created this revision.Nov 24 2017, 2:51 AM
fhahn added a comment.Dec 1 2017, 8:04 AM

Ping. This change only replaces the call site if there actually are varargs to forward.

efriedma edited edge metadata.Dec 6 2017, 10:39 AM

This change isn't a no-op: the code inside the if statement drops the calling convention/attributes/metadata/etc. on the call. Is that intentional?

fhahn added a comment.Dec 6 2017, 11:21 AM

Thanks for having a look Eli! Dropping all the info is not intentional, this was missed during review. I've patch that adds debug locations D40432 and will follow this up with another patch preserving other metadata & co

efriedma accepted this revision.Dec 6 2017, 11:24 AM

Okay, then this LGTM.

This revision is now accepted and ready to land.Dec 6 2017, 11:24 AM
fhahn closed this revision.Dec 6 2017, 11:47 AM